AOZ Studio Beta - Bug #103

Syntax error and line number not reported
02/02/2020 07:09 PM - Paul Kitching

Status: Closed Start date: 02/02/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.4

Affected version: 0.9.3.2

Description

if val (temp$)<>0 then endtime=val (temp$) *60 assuming 60fps

That line caused:

Compiling e:/Data/My Documents/AOZ Studio Applications/applications/test, emulation: PC, speed:

st.
First pass...

Task failed, no code generated...

| didn't notice I'd missed off the // before the comment, and it took a while to notice it. There was no error with line number.

fa

History

#1 - 02/03/2020 02:24 PM - Francois Lionet

- Target version set to 0.9.4

Fixed.

#2 - 02/03/2020 02:27 PM - Francois Lionet

- Status changed from New to Resolved

Fixed.

#3 - 03/07/2020 12:28 PM - Baptiste Pillot

e source code : https://www.amos2.fr/ide/Amos2/Ide/Program/474
e compilation error : yes :

main.aoz:2:70: error: Syntax error

ok.

#4 - 03/07/2020 12:28 PM - Baptiste Pillot

- Status changed from Resolved to Closed
